Subject: Re: [lmap] Draft Agenda [was: LMAP BoF has been approved.]

From: <[email-masked]>
Date: Fri, 1 Mar 2013 17:14:42 +0000

Med,
I read your draft and looked for differences between it and http://tools.ietf.org/html/draft-linsner-lmap-use-cases
your draft is about “Understanding the quality experienced by customers” (which corresponds to S3.2 of draft-linsner).  You don’t mention draft-linsner’s other use cases. is the omission just because you were concentrating on the ‘quality experienced’ use case, or do you think the other use cases are unimportant?
assuming the former, then I suggest adding a couple of improvements to Section 3.2 of draft-linsner (I think this would then cover all the deltas):
(end of para 3)  The operator may also want to understand the experience for its application and content services, such as TV or VPN. These may involve specific network features such as QoS prioritisation, multicast or policy enforcement which a metric would need to encompass.
(end of para 5) The operator may also want to check (and allow customers to check) that it is fulfilling a customer’s service level agreement.
what do you reckon?
thanks
phil

From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: 21 February 2013 12:40
To: MORTON JR., ALFRED (AL); Benoit Claise; [email-masked]; Romascanu, Dan (Dan) ([email-masked])
Cc: JACQUENET Christian OLNC/OLN
Subject: Re: [lmap] Draft Agenda [was: LMAP BoF has been approved.]

Re-,

draft-boucadair-* includes some points not mentioned in other draft-*-lmap I-Ds such the DSCP marking inheritance: some of the services we are deploying do not trust the marking set by the application but there are specific modules which are enabled in the CPE for instance. Conducting a set of measurement for those service will need to be designed to be compliant with such constraint.

I can list another item such as the compatibility with a multi-addressed service design scheme (in which  distinct IP addresses are assigned for each subscribed service): packets issued from a measurement agent (located behind the CPE) will need to be bound to the appropriate service-specific channel, etc.

Cheers,
Med

________________________________
De : MORTON JR., ALFRED (AL) [mailto:[email-masked]]
Envoyé : jeudi 21 février 2013 13:29
À : BOUCADAIR Mohamed OLNC/OLN; Benoit Claise; [email-masked]<mailto:[email-masked]>; Romascanu, Dan (Dan) ([email-masked]<mailto:[email-masked]>)
Cc : JACQUENET Christian OLNC/OLN
Objet : RE: Draft Agenda [was: LMAP BoF has been approved.]
Hi Med,

Yes, one point you've made that (IMO) should be addressed
within the current constraints of the Framework draft,
is about testing critical services which the
access ISP contracts for, so does not own itself.
Your example, DNS testing, is particularly relevant
since every user performs queries that cross org. boundaries,
and so would the measurement path for DNS response time.
However, all the measurement infrastructure would remain
within a single organization's domain, and while I think this
matches the current constraint, it's certainly worth including.

After reviewing the Use Case Draft, particularly the detailed ISP
Use Case, and the Framework Draft itself, can you point out
additional considerations not-yet described (but within the current
constraints)?

thanks,
Al

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: Thursday, February 21, 2013 1:35 AM
To: MORTON JR., ALFRED (AL); Benoit Claise; [email-masked]<mailto:[email-masked]>
Cc: JACQUENET Christian OLNC/OLN
Subject: RE: Draft Agenda [was: LMAP BoF has been approved.]

Dear Al,

Would it be possible the following slot

"5. Framework: Problem Statement, ISP Use case, Gaps, Requirements - Phil Eardley - 15 min"

to include some of the network provider' requirements and issues discussed in draft-boucadair-lmap-considerations?

Thanks.
Cheers,
Med

________________________________
De : [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] De la part de MORTON JR., ALFRED (AL)
Envoyé : mardi 19 février 2013 20:05
À : Benoit Claise; [email-masked]<mailto:[email-masked]>
Objet : [lmap] Draft Agenda [was: LMAP BoF has been approved.]
LMAP list,

We have prepared a draft BoF agenda,
and now that our posting rights are installed,
it can be found with all meeting materials:
http://www.ietf.org/proceedings/86/agenda/agenda-86-lmap

We believe we have embraced the tsunami of 00 drafts
and found all those that are relevant,
and contacted all-1 of the presenters.

Comments to the list, please,
Dan and Al
bof co-chairs

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Wednesday, February 06, 2013 10:00 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [lmap] LMAP BoF has been approved.

Dear all,

Let us share the good news. The IESG approved this BoF.
Even if it was initially requested in TSV, the BoF will be sponsored in OPS by Benoit Claise.
The BoF information have been updated (See http://trac.tools.ietf.org/bof/trac/wiki/WikiStart)

Large-Scale Measurement of Broadband Performance (LMAP)

 *   Status: Requested.
 *   Type: WG forming (1st attempt).
 *   Responsible AD: Benoit Claise, OPS
 *   BOF Chairs: Dan Romascanu (​[email-masked]<mailto:[email-masked]>), Al Morton (​[email-masked]<mailto:[email-masked]>))
 *   Attendance: 80
 *   Session length 120 minutes
 *   Conflicts to avoid:
First level priority: IPPM, ECRIT, BMWG, OPSAREA/OPSAWG, IPFIX, EMAN, NETCONF, NETMOD, XRBLOCK, DIME, RADEXT, SACM BoF, TSVAREA, ALTO, CDNI, NFSV4, PPSP, TSVWG
Second level priority: CONEX
 *   Does it require WebEX? No
 *   Does it require Meetecho? No
 *   Mailing list: ​ ​[email-masked]<mailto:[email-masked]>
 *   List archive: ​​http://www.ietf.org/mail-archive/web/lmap/current/maillist.html<http://www.ietf.org/mail-archive/web/lmap/current/maillist.html>
 *   Documents: draft-schulzrinne-lmap-requirements<http://tools.ietf.org/html/draft-schulzrinne-lmap-requirements>, draft-linsner-lmap-use-cases<http://tools.ietf.org/html/draft-linsner-lmap-use-cases>, and draft-morton-ippm-lmap-path-00<http://tools.ietf.org/html/draft-morton-ippm-lmap-path-00>
The chairs have been chosen based on their levels of expertise/experience in OPS, measurement, and IETF. Thanks Dan and Al for accepting the chair positions.

Goals for this BoF:
- be in synch on the problem statement and use cases
- understand what the existing IETF protocols and data models (IPPM, NETCONF/YANG, IPFIX, etc...) can or can't do for LMAP. This will certainly require a little of education directly from the experts during the BoF.
- clarify what's in scope or not for LMAP

Finally, let me stress that a proper preparation is key to a BoF success.
http://tools.ietf.org/html/rfc5434  "Considerations for Having a Successful Birds-of-a-Feather (BOF) Session" is a first good step.

Regards, Martin Stiemerling (TSV) and Benoit Claise (OPS)